<!-- NOTE: card classes have been adjusted to present the dialog in a smaller form-factor -->
<mat-card class="mpa-card" (keydown.escape)="onCancel()">
  <!-- HEADER -->
  <mat-card-header class="mpa-card-header">
    <mat-card-title class="mpa-card-title">{{dialogPrompt}}</mat-card-title>
  </mat-card-header>

  <!-- CONTENT -->
  <mat-card-content class="mpa-card-content">
    <mat-form-field [formGroup]="valueForm">
      <input matInput type="text" formControlName="valueField" class="text-area" (keydown.enter)="onSubmit()">
      <!-- <mat-error *ngIf="valueForm.get('valueField').errors && valueForm.get('valueField').touched">
        {{getErrorMessage()}}
      </mat-error> -->
    </mat-form-field>

    <!-- INTERFACING OPTIONS -->
    <div class="divider-line"></div>
    <!-- NOTE: mpa-button-row has been adjusted here to present the buttons as opposed to each other as possible -->
    <div class="mpa-button-row">
      <button mat-raised-button class="rectangular-button" color="accent" (click)="onSubmit()" [disabled]="this.valueForm.status != 'VALID'" >Submit</button> <!-- TODO? status is private  -->
      <button mat-raised-button class="rectangular-button" color="warn" (click)="onCancel()">Cancel</button>
    </div>
  </mat-card-content>
</mat-card>
